Apm29's Studio.

Jetpack

字数统计: 115阅读时长: 1 min
2019/12/11 Share

Jetpack

1. Components Dependencies


  • AppCompat

    依赖于原先的support v4包,包含了ActionBar,AppCompatActivity,cardview,gridlayout,recyclerview等支持

2. 迁移到AndroidX

  • 需要AndroidStudio3.2+
  • 在gradle.properties中加入
    1
    2
    android.useAndroidX=true
    android.enableJetifier=true
    sync 下Gradle后需要把原有项目中的support库中的类重新import,谷歌的developer网站上有一份迁移的清单,可以看看,顺便学下各种没用过的官方库😭
    迁移清单,如果想要用kotlin开发最好尝试下使用ktx
CATALOG
  1. 1. Jetpack
    1. 1.0.1. 1. Components Dependencies
    2. 1.0.2. 2. 迁移到AndroidX